Holger's Java API

## com.antelmann.util
Class IterationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.antelmann.util.IterationException

All Implemented Interfaces:
  Serializable

    public class IterationException

extends RuntimeException

thrown to indicate a problem during iteration. The cause of this exception was likely thrown on calling the generateNextElement() method on an AbstractIterator.

Author:
  Holger Antelmann
See Also:
  `AbstractIterator`, Serialized Form

Constructor Summary
`IterationException(String msg)`
`IterationException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IterationException

    public IterationException(String msg)

### IterationException

    public IterationException(Throwable cause)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads